Page MenuHomePhabricator

CL support to validate a small change in the Special:Search user interface
Closed, ResolvedPublic

Description

As of today when one uses a search box provided by the InputBox extension the original user query is suffixed by a search keyword prefix:Page :

Example from the english wikipedia manual of style:

pressing Search the MoS will open Special:Search like this (note the prefix:Manual of Style appended to the original user query):

We suggest to change this behavior by showing this instead:

The user query will be left intact but Special:Search will contain an indication that the results are limited to pages whose title starts with XYZ. A small link is added to allow users to reset Special:Search to its defaults, in this case to search in all pages. Note that you should read Wikipedia::Manual of Style instead of Help:Manual of Style this screenshot was taken on a development machine.

This change will only affect Special:Search opened via search boxes made with the InputBox extension using the prefix parameter.

Event Timeline

dcausse created this task.Jul 5 2018, 12:41 PM
Restricted Application removed a project: Patch-For-Review. · View Herald TranscriptJul 5 2018, 12:41 PM
dcausse updated the task description. (Show Details)Jul 5 2018, 12:43 PM
dcausse updated the task description. (Show Details)
dcausse updated the task description. (Show Details)Jul 5 2018, 12:46 PM

Thanks for filing this request.

Sidenote, I wondered if/how this was related to WMDE's work on AdvancedSearch, and I found that per https://meta.wikimedia.org/wiki/WMDE_Technical_Wishes/AdvancedSearch/Functional_scope they are not currently planning on including prefix: in their work. Because:

The value of this keyword always includes a namespace", e.g. “Wikipedia” in prefix:Wikipedia:Technische Wünsche. Having namespaces both here and in the namespace selection bar at the bottom (“Search In”) would create a very confusing user interface.

That is true (AFAIK) for the content-projects, but is not true for Meta-wiki and Mediawikiwiki, where the inputbox (or manually typed prefix:) can be used in the main namespaces, e.g. https://meta.wikimedia.org/wiki/Learning_patterns and https://www.mediawiki.org/wiki/Scrum_of_scrums

(Ping @Bmueller just FYI. Definitely an edge-case, and also further complicated by the existence of Special:PrefixIndex (which gives results in a different format), but all good to know. :-)

Johan added a subscriber: Johan.Jul 6 2018, 10:16 AM

A couple of questions!

a) The goal here is to make it easier to understand, less confusing for non-technical readers and editors? Or something else?

b) I imagine the change from Wikipedia:Manual of Style in the first (current) example to Help:Manual of Style in the second (proposed) one is accidental and doesn't actually indicate any change in functionality?

c) I don't know if the phrasing is just an example as well, but I'd consider making the text even more obvious, not least because large Wikipedias are often used by non-native speakers. "Only searching [in] pages whose title starts with ..." or something like that?

d) (This is also true for "reset the prefix filter". I don't think you can assume the average Wikipedia reader – or all editors – understands what that means. There's no obvious prefix present anymore. "Search all pages"?)

A couple of questions!
a) The goal here is to make it easier to understand, less confusing for non-technical readers and editors? Or something else?

The primary goal is to address some technical debt (see parent ticket) and at the same try to hide some internal details about the search syntax (the prefix keyword in this case).

b) I imagine the change from Wikipedia:Manual of Style in the first (current) example to Help:Manual of Style in the second (proposed) one is accidental and doesn't actually indicate any change in functionality?

Indeed, it's simply because the suggested output was rendered on my local machine and it was easier to simulate a page in the Help namespace than the Wikipedia namespace (which is reserved). This will properly display Wikipedia:Manual of Style on the english wikipedia if this change is approved.

c) I don't know if the phrasing is just an example as well, but I'd consider making the text even more obvious, not least because large Wikipedias are often used by non-native speakers. "Only searching [in] pages whose title starts with ..." or something like that?

Thanks for your suggestions on the phrasing,

d) (This is also true for "reset the prefix filter". I don't think you can assume the average Wikipedia reader – or all editors – understands what that means. There's no obvious prefix present anymore. "Search all pages"?)

This makes total sense.

dcausse updated the task description. (Show Details)Jul 6 2018, 10:29 AM
Johan claimed this task.Jul 6 2018, 10:44 AM
Restricted Application added a project: User-Johan. · View Herald TranscriptJul 6 2018, 10:44 AM
Johan moved this task from Backlog to Do now on the User-Johan board.Jul 6 2018, 10:44 AM
Johan added a comment.Jul 6 2018, 11:14 AM

OK, I'll take it up to discussion and get some feedback.

Elitre awarded a token.Jul 6 2018, 2:17 PM
Johan triaged this task as Medium priority.Jul 6 2018, 10:28 PM
Johan closed this task as Resolved.Jul 12 2018, 7:54 AM

OK, so I talked to a few folks, posted on a middle-sized Village Pump and the only concern I got was that people wanted to make sure they'd still be able to use prefixes even if <inputbox> didn't show them, so as long as that's not changing, there were no real concerns. I'm also adding it to Tech News, pointing to T198318 – that'll go out on Monday, so if anyone reacts, you should probably see it during the first half of next week.

(This could lead to documentation having to be updated in a number of places, of course.)

@Johan thanks for the feedback!
Yes the goal is really not to remove the prefix keyword, expert users will still be able to use it at will.
I'll move forward and implement your suggestions on the phrasing and wait till the end of next week for possible feedback from the Tech News.

Thanks!

Johan moved this task from Do now to Archive on the User-Johan board.Jul 22 2018, 2:26 AM
Elitre raised the priority of this task from Medium to High.Sep 20 2018, 1:39 PM
Quiddity lowered the priority of this task from High to Medium.Sep 20 2018, 6:51 PM
Elitre added a comment.Oct 5 2018, 9:29 AM

Satisfaction survey reply received.